SuSE 11.3 Security Update : puppet (SAT Patch Number 9472)

Medium Nessus Plugin ID 76424


The remote SuSE 11 host is missing one or more security updates.


Puppet was updated to fix the following security issues :

- Unsafe use of temporary files. (CVE-2013-4969)

- Arbitrary code execution with required social engineering. (CVE-2014-3248 / CVE-2014-3250)


Apply SAT patch number 9472.

See Also

Plugin Details

Severity: Medium

ID: 76424

File Name: suse_11_puppet-140630.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2014/07/09

Modified: 2014/11/18

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.2

Vector: CVSS2#AV:L/AC:H/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:puppet, p-cpe:/a:novell:suse_linux:11:puppet-server, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2014/06/30

Reference Information

CVE: CVE-2013-4969, CVE-2014-3248, CVE-2014-3250